=== modified file '.bzrignore'
--- .bzrignore	2010-09-30 06:24:20 +0000
+++ .bzrignore	2008-10-03 09:32:30 +0000
@@ -2,6 +2,8 @@
 *.8
 *.8mandos
 confdir
+debian/po/messages.mo
+debian/po/templates.pot
 keydir
 man
 plugin-runner
@@ -10,4 +12,3 @@
 plugins.d/password-prompt
 plugins.d/splashy
 plugins.d/usplash
-plugins.d/plymouth

=== modified file 'DBUS-API'
--- DBUS-API	2010-09-26 18:32:58 +0000
+++ DBUS-API	2010-09-12 03:00:40 +0000
@@ -76,26 +76,25 @@
    "clients.conf", in which case they are fully documented in
    mandos-clients.conf(5).
    
-   | Name                    | Type | Access     | clients.conf        |
-   |-------------------------+------+------------+---------------------|
-   | ApprovedByDefault       | b    | Read/Write | approved_by_default |
-   | ApprovalDelay (a)       | t    | Read/Write | approval_delay      |
-   | ApprovalDuration (a)    | t    | Read/Write | approval_duration   |
-   | ApprovalPending (b)     | b    | Read       | N/A                 |
-   | Checker                 | s    | Read/Write | checker             |
-   | CheckerRunning (c)      | b    | Read/Write | N/A                 |
-   | Created (d)             | s    | Read       | N/A                 |
-   | Enabled (e)             | b    | Read/Write | N/A                 |
-   | Fingerprint             | s    | Read       | fingerprint         |
-   | Host                    | s    | Read/Write | host                |
-   | Interval (a)            | t    | Read/Write | interval            |
-   | LastApprovalRequest (f) | s    | Read       | N/A                 |
-   | LastCheckedOK (g)       | s    | Read/Write | N/A                 |
-   | LastEnabled (h)         | s    | Read       | N/A                 |
-   | Name                    | s    | Read       | (Section name)      |
-   | ObjectPath              | o    | Read       | N/A                 |
-   | Secret (i)              | ay   | Write      | secret (or secfile) |
-   | Timeout (a)             | t    | Read/Write | timeout             |
+   | Name                 | Type | Access     | clients.conf        |
+   |----------------------+------+------------+---------------------|
+   | ApprovedByDefault    | b    | Read/Write | approved_by_default |
+   | ApprovalDelay (a)    | t    | Read/Write | approval_delay      |
+   | ApprovalDuration (a) | t    | Read/Write | approval_duration   |
+   | ApprovalPending (b)  | b    | Read       | N/A                 |
+   | Checker              | s    | Read/Write | checker             |
+   | CheckerRunning (c)   | b    | Read/Write | N/A                 |
+   | Created (d)          | s    | Read       | N/A                 |
+   | Enabled (e)          | b    | Read/Write | N/A                 |
+   | Fingerprint          | s    | Read       | fingerprint         |
+   | Host                 | s    | Read/Write | host                |
+   | Interval (a)         | t    | Read/Write | interval            |
+   | LastCheckedOK (f)    | s    | Read/Write | N/A                 |
+   | LastEnabled (g)      | s    | Read       | N/A                 |
+   | Name                 | s    | Read       | (Section name)      |
+   | ObjectPath           | o    | Read       | N/A                 |
+   | Secret (h)           | ay   | Write      | secret (or secfile) |
+   | Timeout (a)          | t    | Read/Write | timeout             |
    
    a) Represented as milliseconds.
    
@@ -109,20 +108,17 @@
    e) Setting this property is equivalent to calling Enable() or
       Disable().
    
-   f) The time of the last approval request, as a RFC 3339 string, or
-      an empty string if this has not happened.
-   
-   g) The last time a checker was successful, as a RFC 3339 string, or
+   f) The last time a checker was successful, as a RFC 3339 string, or
       an empty string if this has not happened.  Setting this property
       is equivalent to calling CheckedOK(), i.e. the current time is
       set, regardless of the string sent.  Please always use an empty
       string when setting this property, to allow for possible future
       expansion.
    
-   h) The last time this client was enabled, as a RFC 3339 string, or
+   g) The last time this client was enabled, as a RFC 3339 string, or
       an empty string if this has not happened.
    
-   i) A raw byte array, not hexadecimal digits.
+   h) A raw byte array, not hexadecimal digits.
 
 ** Signals
 *** CheckerCompleted(n: Exitcode, x: Waitstatus, s: Command)
@@ -147,26 +143,5 @@
 *** Rejected(s: Reason)
     This client was not given its secret for a specified Reason.
 
-* Copyright
-
-    Copyright © 2010 Teddy Hogeborn
-    Copyright © 2010 Björn Påhlsson
-  
-** License:
-   
-   This program is free software: you can redistribute it and/or
-   modify it under the terms of the GNU General Public License as
-   published by the Free Software Foundation, either version 3 of the
-   License, or (at your option) any later version.
-
-   This program is distributed in the hope that it will be useful, but
-   WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-   General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program.  If not, see
-   <http://www.gnu.org/licenses/>.
-
 
 #+STARTUP: showall

=== modified file 'Makefile'
--- Makefile	2010-10-02 17:23:41 +0000
+++ Makefile	2010-09-23 20:14:08 +0000
@@ -23,7 +23,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.2.1
+version=1.0.14
 SED=sed
 
 ## Use these settings for a traditional /usr/local install

=== modified file 'NEWS'
--- NEWS	2010-10-02 17:23:41 +0000
+++ NEWS	2010-09-09 18:16:14 +0000
@@ -1,38 +1,6 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
-Version 1.2.1 (2010-10-02)
-* Server:
-** mandos-monitor(8): Documentation bug fix: Key for removing client
-   is "R", not "r".
-
-Version 1.2 (2010-09-28)
-* Client:
-** New "plymouth" plugin to ask for a password using the Plymouth
-   graphical boot system.
-** The Mandos client now automatically chooses a network interface if
-   the DEVICE setting in /etc/initramfs-tools/initramfs.conf is set to
-   the empty string.  This is also the new default instead of "eth0".
-** The Mandos client --connect option now loops indefinitely until a
-   password is received from the specified server.
-** Bug fix: Quote directory correctly in mandos-keygen with --password
-** Bug fix: don't use "echo -e" in mandos-keygen; unsupported by dash.
-* Server:
-** Terminology change: clients are now "ENABLED" or "DISABLED", not
-   "valid" or "invalid".
-** New D-Bus API; see the file "DBUS-API".
-** New control utilities using the new D-Bus API:
-   + mandos-ctl		       A command-line based utility
-   + mandos-monitor	       A text-based GUI interface
-** New feature: manual interactive approval or denying of clients on a
-   case-by-case basis.
-** New --debuglevel option to control logging
-** Will not write PID file if --debug is passed
-** Bug fix: Avoid race conditions with short "interval" values or
-   fast checkers.
-** Bug fix: Don't try to bind to a network interface when none is
-   specified
-
 Version 1.0.14 (2009-10-25)
 Enable building without -pie and -fPIE if BROKEN_PIE is set.
 

=== modified file 'README'
--- README	2010-09-26 18:32:58 +0000
+++ README	2009-11-03 00:12:35 +0000
@@ -144,9 +144,7 @@
   plugins to run, all competing to be the first to find a password and
   provide it to the plugin runner.
   
-  Four additional plugins are provided:
-  * plymouth(8mandos)
-    This prompts for a password when using plymouth(8).
+  Three additional plugins are provided:
   * usplash(8mandos)
     This prompts for a password when using usplash(8).
   * splashy(8mandos)
@@ -162,8 +160,8 @@
 
 * Copyright
 
-    Copyright © 2008-2010 Teddy Hogeborn
-    Copyright © 2008-2010 Björn Påhlsson
+    Copyright © 2008,2009 Teddy Hogeborn
+    Copyright © 2008,2009 Björn Påhlsson
   
 ** License:
    

=== modified file 'TODO'
--- TODO	2010-09-26 18:32:58 +0000
+++ TODO	2010-09-25 21:24:49 +0000
@@ -2,6 +2,9 @@
 
 * Use _attribute_((nonnull)) wherever possible.
 
+* Release critical
+** Update copyright year to add 2010
+
 * mandos-client
 ** TODO [#B] use scandir(3) instead of readdir(3)
 ** TODO [#B] Prefix all debug output with "Mandos plugin " + program_invocation_short_name
@@ -103,7 +106,6 @@
 *** Properties popup
 ** Nicer crashes. Stack traces Messes up shell.
 *** Print a nice "We are sorry" message, save stack trace to log.
-** Show timeout countdown for approval
 
 * mandos-keygen
 ** TODO Loop until passwords match when run interactively

=== modified file 'common.ent'
--- common.ent	2010-10-02 17:23:41 +0000
+++ common.ent	2010-09-09 18:16:14 +0000
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Edited by Makefile -->
-<!ENTITY version "1.2.1">
+<!ENTITY version "1.0.14">

=== modified file 'debian/changelog'
--- debian/changelog	2010-10-02 17:53:34 +0000
+++ debian/changelog	2010-09-09 18:16:14 +0000
@@ -1,35 +1,3 @@
-mandos (1.2.1-2) unstable; urgency=low
-
-  * debian/source/format: New; contains "3.0 (quilt)".  Really.
-
- -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:46:59 +0200
-
-mandos (1.2.1-1) unstable; urgency=low
-
-  * New upstream release.
-  * debian/source/format: New; contains "3.0 (quilt)".
-
- -- Björn Påhlsson <belorn@fukt.bsnet.se>  Sat, 02 Oct 2010 19:03:58 +0200
-
-mandos (1.2-1) unstable; urgency=low
-
-  * New upstream release.
-  * Makefile (LINK_FORTIFY_LD): Remove "-fPIE". (Closes: #557076)
-  * debian/control: Add gnupg dependency to "mandos-client" and removed it
-    from "mandos".  Added dependency on "python-urwid" "mandos" since the
-    new "mandos-monitor" utility needs it, and on "python (>=2.6) |
-    python-multiprocessing" since the Mandos server now uses it.
-  * debian/rules: Set BROKEN_PIE on mips and mipsel if a known buggy
-    version of binutils is used.
-  * debian/mandos.docs: Also install "/usr/share/doc/mandos/DBUS-API".
-  * debian/mandos.dirs: Added "etc/dbus-1/system.d".
-  * debian/mandos-client.README.Debian: Update info about DEVICE setting
-    of initramfs.conf.
-  * debian/mandos-client.README.Debian: Remove warning about --connect not
-    looping, since it now does.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 28 Sep 2010 20:46:11 +0200
-
 mandos (1.0.14-1) unstable; urgency=low (HIGH on mips and mipsel)
 
   * New upstream release.

=== modified file 'debian/control'
--- debian/control	2010-10-01 18:40:55 +0000
+++ debian/control	2010-09-09 22:26:35 +0000
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme11-dev, libgnutls-dev, xsltproc,
 	pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 3.8.3
 Vcs-Bzr: http://ftp.fukt.bsnet.se/pub/mandos/trunk
 Vcs-Browser: http://bzr.fukt.bsnet.se/loggerhead/mandos/trunk/files
 Homepage: http://www.fukt.bsnet.se/mandos
@@ -16,7 +16,7 @@
 Architecture: all
 Depends: ${misc:Depends}, python (>=2.5), python-gnutls, python-dbus,
 	python-avahi, python-gobject, avahi-daemon, adduser,
-	python-urwid, python (>=2.6) | python-multiprocessing
+	python-urwid
 Recommends: fping
 Description: a server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows

=== modified file 'debian/copyright'
--- debian/copyright	2010-09-26 18:32:58 +0000
+++ debian/copyright	2009-01-04 21:54:55 +0000
@@ -5,8 +5,8 @@
 Upstream-Source: <http://www.fukt.bsnet.se/mandos>
 
 Files: *
-Copyright: Copyright © 2008-2010 Teddy Hogeborn
-Copyright: Copyright © 2008-2010 Björn Påhlsson
+Copyright: Copyright © 2008,2009 Teddy Hogeborn
+Copyright: Copyright © 2008,2009 Björn Påhlsson
 License: GPL-3+
     This program is free software: you can redistribute it and/or
     modify it under the terms of the GNU General Public License as

=== modified file 'debian/mandos-client.README.Debian'
--- debian/mandos-client.README.Debian	2010-09-27 17:53:53 +0000
+++ debian/mandos-client.README.Debian	2009-09-08 06:28:20 +0000
@@ -1,11 +1,9 @@
 * Choose the Client Network Interface
   
-  Please make sure that the correct network interface is specified in
-  the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
-  file.  If the setting is empty, the interface will be autodetected
-  at boot time, which may not be correct.  *If* the DEVICE setting is
-  changed, it will be necessary to update the initrd image by running
-  the command
+  You MUST make sure that the correct network interface is specified
+  in the DEVICE setting in the "/etc/initramfs-tools/initramfs.conf"
+  file.  *If* this is changed, it will be necessary to update the
+  initrd image by running the command
   
 	update-initramfs -k all -u
   
@@ -76,6 +74,9 @@
   instead of using ZeroConf.  The syntax for doing this is
   "mandos=connect:<IP_ADDRESS>:<PORT_NUMBER>".
   
+  Warning: this will cause the client to make exactly one attempt at
+  connecting, and then fail if it does not succeed.
+  
   For very advanced users, it it possible to specify simply
   "mandos=connect" on the kernel command line to make the system only
   set up the network (using the data in the "ip=" option) and not pass
@@ -83,4 +84,4 @@
   work, "--options-for=mandos-client:--connect=<ADDRESS>:<PORT>" needs
   to be manually added to the file "/etc/mandos/plugin-runner.conf".
 
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Mon, 27 Sep 2010 19:53:21 +0200
+ -- Teddy Hogeborn <teddy@fukt.bsnet.se>, Tue,  8 Sep 2009 08:25:58 +0200

=== removed directory 'debian/source'
=== removed file 'debian/source/format'
--- debian/source/format	2010-10-02 17:41:05 +0000
+++ debian/source/format	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-3.0 (quilt)

=== modified file 'mandos'
--- mandos	2010-10-02 17:23:41 +0000
+++ mandos	2010-09-25 23:52:17 +0000
@@ -11,8 +11,8 @@
 # "AvahiService" class, and some lines in "main".
 # 
 # Everything else is
-# Copyright © 2008-2010 Teddy Hogeborn
-# Copyright © 2008-2010 Björn Påhlsson
+# Copyright © 2008,2009 Teddy Hogeborn
+# Copyright © 2008,2009 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -81,7 +81,7 @@
         SO_BINDTODEVICE = None
 
 
-version = "1.2.1"
+version = "1.0.14"
 
 #logger = logging.getLogger(u'mandos')
 logger = logging.Logger(u'mandos')
@@ -246,7 +246,7 @@
     checker:    subprocess.Popen(); a running checker process used
                                     to see if the client lives.
                                     'None' if no process is running.
-    checker_callback_tag: a gobject event source tag, or None
+    checker_callback_tag:  - '' -
     checker_command: string; External command which is run to check
                      if client lives.  %() expansions are done at
                      runtime with vars(self) as dict, so that for
@@ -255,13 +255,12 @@
     created:    datetime.datetime(); (UTC) object creation
     current_checker_command: string; current running checker_command
     disable_hook:  If set, called by disable() as disable_hook(self)
-    disable_initiator_tag: a gobject event source tag, or None
+    disable_initiator_tag: - '' -
     enabled:    bool()
     fingerprint: string (40 or 32 hexadecimal digits); used to
                  uniquely identify the client
     host:       string; available for use by the checker command
     interval:   datetime.timedelta(); How often to start a new checker
-    last_approval_request: datetime.datetime(); (UTC) or None
     last_checked_ok: datetime.datetime(); (UTC) or None
     last_enabled: datetime.datetime(); (UTC)
     name:       string; from the config file, used in log messages and
@@ -322,7 +321,6 @@
         self.host = config.get(u"host", u"")
         self.created = datetime.datetime.utcnow()
         self.enabled = False
-        self.last_approval_request = None
         self.last_enabled = None
         self.last_checked_ok = None
         self.timeout = string_to_delta(config[u"timeout"])
@@ -424,9 +422,6 @@
                                       (self.timeout_milliseconds(),
                                        self.disable))
     
-    def need_approval(self):
-        self.last_approval_request = datetime.datetime.utcnow()
-    
     def start_checker(self):
         """Start a new checker subprocess if one is not running.
         
@@ -820,15 +815,6 @@
                                     variant_level=1)))
         return r
     
-    def need_approval(self, *args, **kwargs):
-        r = Client.need_approval(self, *args, **kwargs)
-        # Emit D-Bus signal
-        self.PropertyChanged(
-            dbus.String(u"LastApprovalRequest"),
-            (self._datetime_to_dbus(self.last_approval_request,
-                                    variant_level=1)))
-        return r
-    
     def start_checker(self, *args, **kwargs):
         old_checker = self.checker
         if self.checker is not None:
@@ -909,15 +895,15 @@
     @dbus.service.signal(_interface, signature=u"tb")
     def NeedApproval(self, timeout, default):
         "D-Bus signal"
-        return self.need_approval()
+        pass
     
     ## Methods
-    
+
     # Approve - method
     @dbus.service.method(_interface, in_signature=u"b")
     def Approve(self, value):
         self.approve(value)
-    
+
     # CheckedOK - method
     @dbus.service.method(_interface)
     def CheckedOK(self):
@@ -1043,15 +1029,6 @@
         return dbus.String(self._datetime_to_dbus(self
                                                   .last_checked_ok))
     
-    # LastApprovalRequest - property
-    @dbus_service_property(_interface, signature=u"s", access=u"read")
-    def LastApprovalRequest_dbus_property(self):
-        if self.last_approval_request is None:
-            return dbus.String(u"")
-        return dbus.String(self.
-                           _datetime_to_dbus(self
-                                             .last_approval_request))
-    
     # Timeout - property
     @dbus_service_property(_interface, signature=u"t",
                            access=u"readwrite")
@@ -1684,7 +1661,7 @@
     parser.add_option("--debug", action=u"store_true",
                       help=u"Debug mode; run in foreground and log to"
                       u" terminal")
-    parser.add_option("--debuglevel", type=u"string", metavar="LEVEL",
+    parser.add_option("--debuglevel", type=u"string", metavar="Level",
                       help=u"Debug level for stdout output")
     parser.add_option("--priority", type=u"string", help=u"GnuTLS"
                       u" priority string (see GnuTLS documentation)")

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2010-09-27 18:57:12 +0000
+++ mandos-clients.conf.xml	2010-09-25 19:55:17 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2010-09-26">
+<!ENTITY TIMESTAMP "2010-09-25">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -34,7 +34,6 @@
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2010</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -357,28 +356,10 @@
 	<quote><literal>%%(<replaceable>foo</replaceable>)s</literal
 	></quote> will be replaced by the value of the attribute
 	<varname>foo</varname> of the internal
-	<quote><classname>Client</classname></quote> object in the
-	Mandos server.  The currently allowed values for
-	<replaceable>foo</replaceable> are:
-	<quote><literal>approval_delay</literal></quote>,
-	<quote><literal>approval_duration</literal></quote>,
-	<quote><literal>created</literal></quote>,
-	<quote><literal>enabled</literal></quote>,
-	<quote><literal>fingerprint</literal></quote>,
-	<quote><literal>host</literal></quote>,
-	<quote><literal>interval</literal></quote>,
-	<quote><literal>last_approval_request</literal></quote>,
-	<quote><literal>last_checked_ok</literal></quote>,
-	<quote><literal>last_enabled</literal></quote>,
-	<quote><literal>name</literal></quote>,
-	<quote><literal>timeout</literal></quote>, and, if using
-	D-Bus, <quote><literal>dbus_object_path</literal></quote>.
-	See the source code for details.  <emphasis role="strong"
-	>Currently, <emphasis>none</emphasis> of these attributes
-	except <quote><literal>host</literal></quote> are guaranteed
-	to be valid in future versions.</emphasis> Therefore, please
-	let the authors know of any attributes that are useful so they
-	may be preserved to any new versions of this software.
+	<quote><classname>Client</classname></quote> object.  See the
+	source code for details, and let the authors know of any
+	attributes that are useful so they may be preserved to any new
+	versions of this software.
       </para>
       <para>
 	Note that this means that, in order to include an actual

=== modified file 'mandos-ctl'
--- mandos-ctl	2010-10-02 17:23:41 +0000
+++ mandos-ctl	2010-09-25 23:52:17 +0000
@@ -1,26 +1,5 @@
 #!/usr/bin/python
 # -*- mode: python; coding: utf-8 -*-
-# 
-# Mandos Monitor - Control and monitor the Mandos server
-# 
-# Copyright © 2008-2010 Teddy Hogeborn
-# Copyright © 2008-2010 Björn Påhlsson
-# 
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-#     This program is distributed in the hope that it will be useful,
-#     but WITHOUT ANY WARRANTY; without even the implied warranty of
-#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#     GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-# 
-# Contact the authors at <mandos@fukt.bsnet.se>.
-# 
 
 from __future__ import division
 import sys
@@ -38,7 +17,6 @@
     'Enabled': u'Enabled',
     'Timeout': u'Timeout',
     'LastCheckedOK': u'Last Successful Check',
-    'LastApprovalRequest': u'Last Approval Request',
     'Created': u'Created',
     'Interval': u'Interval',
     'Host': u'Host',
@@ -57,7 +35,7 @@
 server_path = '/'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.1"
+version = "1.0.14"
 
 def timedelta_to_milliseconds(td):
     "Convert a datetime.timedelta object to milliseconds"
@@ -261,12 +239,11 @@
                             'LastCheckedOK', 'Created', 'Interval',
                             'Host', 'Fingerprint', 'CheckerRunning',
                             'LastEnabled', 'ApprovalPending',
-                            'ApprovedByDefault',
-                            'LastApprovalRequest', 'ApprovalDelay',
+                            'ApprovedByDefault', 'ApprovalDelay',
                             'ApprovalDuration', 'Checker')
             else:
                 keywords = defaultkeywords
-            
+                
 	    print_clients(clients.values(), keywords)
         else:
             # Process each client in the list by all selected options

=== modified file 'mandos-keygen'
--- mandos-keygen	2010-10-02 17:23:41 +0000
+++ mandos-keygen	2010-09-13 06:19:45 +0000
@@ -2,8 +2,8 @@
 # 
 # Mandos key generator - create a new OpenPGP key for a Mandos client
 # 
-# Copyright © 2008-2010 Teddy Hogeborn
-# Copyright © 2008-2010 Björn Påhlsson
+# Copyright © 2008,2009 Teddy Hogeborn
+# Copyright © 2008,2009 Björn Påhlsson
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.2.1"
+VERSION="1.0.14"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA
@@ -195,8 +195,6 @@
 stty echo; \
 " EXIT
 
-set -e
-
 umask 077
 
 if [ "$mode" = keygen ]; then

=== modified file 'mandos-monitor'
--- mandos-monitor	2010-10-02 17:23:41 +0000
+++ mandos-monitor	2010-09-25 23:52:17 +0000
@@ -1,26 +1,5 @@
 #!/usr/bin/python
 # -*- mode: python; coding: utf-8 -*-
-# 
-# Mandos Monitor - Control and monitor the Mandos server
-# 
-# Copyright © 2009,2010 Teddy Hogeborn
-# Copyright © 2009,2010 Björn Påhlsson
-# 
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# (at your option) any later version.
-#
-#     This program is distributed in the hope that it will be useful,
-#     but WITHOUT ANY WARRANTY; without even the implied warranty of
-#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#     GNU General Public License for more details.
-# 
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
-# 
-# Contact the authors at <mandos@fukt.bsnet.se>.
-# 
 
 from __future__ import division, absolute_import, with_statement
 
@@ -51,7 +30,7 @@
 domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.2.1"
+version = "1.0.15"
 
 # Always run in monochrome mode
 urwid.curses_display.curses.has_colors = lambda : False
@@ -123,7 +102,6 @@
         self.logger = logger
         
         self._update_timer_callback_tag = None
-        self._update_timer_callback_lock = 0
         self.last_checker_failed = False
         
         # The widget shown normally
@@ -135,7 +113,26 @@
             *args, **kwargs)
         self.update()
         self.opened = False
-        
+        self.proxy.connect_to_signal(u"CheckerCompleted",
+                                     self.checker_completed,
+                                     client_interface,
+                                     byte_arrays=True)
+        self.proxy.connect_to_signal(u"CheckerStarted",
+                                     self.checker_started,
+                                     client_interface,
+                                     byte_arrays=True)
+        self.proxy.connect_to_signal(u"GotSecret",
+                                     self.got_secret,
+                                     client_interface,
+                                     byte_arrays=True)
+        self.proxy.connect_to_signal(u"NeedApproval",
+                                     self.need_approval,
+                                     client_interface,
+                                     byte_arrays=True)
+        self.proxy.connect_to_signal(u"Rejected",
+                                     self.rejected,
+                                     client_interface,
+                                     byte_arrays=True)
         last_checked_ok = isoformat_to_datetime(self.properties
                                                 [u"LastCheckedOK"])
         if last_checked_ok is None:
@@ -147,62 +144,17 @@
                                         (milliseconds=
                                          self.properties
                                          [u"Interval"]))
-        
         if self.last_checker_failed:
-            self.using_timer(True)
-        
-        if self.need_approval:
-            self.using_timer(True)
-        
-        self.proxy.connect_to_signal(u"CheckerCompleted",
-                                     self.checker_completed,
-                                     client_interface,
-                                     byte_arrays=True)
-        self.proxy.connect_to_signal(u"CheckerStarted",
-                                     self.checker_started,
-                                     client_interface,
-                                     byte_arrays=True)
-        self.proxy.connect_to_signal(u"GotSecret",
-                                     self.got_secret,
-                                     client_interface,
-                                     byte_arrays=True)
-        self.proxy.connect_to_signal(u"NeedApproval",
-                                     self.need_approval,
-                                     client_interface,
-                                     byte_arrays=True)
-        self.proxy.connect_to_signal(u"Rejected",
-                                     self.rejected,
-                                     client_interface,
-                                     byte_arrays=True)
-    
-    def property_changed(self, property=None, value=None):
-        super(self, MandosClientWidget).property_changed(property,
-                                                         value)
-        if property == u"ApprovalPending":
-            using_timer(bool(value))
-        
-    def using_timer(self, flag):
-        """Call this method with True or False when timer should be
-        activated or deactivated.
-        """
-        old = self._update_timer_callback_lock
-        if flag:
-            self._update_timer_callback_lock += 1
-        else:
-            self._update_timer_callback_lock -= 1
-        if old == 0 and self._update_timer_callback_lock:
             self._update_timer_callback_tag = (gobject.timeout_add
                                                (1000,
                                                 self.update_timer))
-        elif old and self._update_timer_callback_lock == 0:
-            gobject.source_remove(self._update_timer_callback_tag)
-            self._update_timer_callback_tag = None
     
     def checker_completed(self, exitstatus, condition, command):
         if exitstatus == 0:
             if self.last_checker_failed:
                 self.last_checker_failed = False
-                self.using_timer(False)
+                gobject.source_remove(self._update_timer_callback_tag)
+                self._update_timer_callback_tag = None
             #self.logger(u'Checker for client %s (command "%s")'
             #            u' was successful'
             #            % (self.properties[u"Name"], command))
@@ -211,7 +163,9 @@
         # Checker failed
         if not self.last_checker_failed:
             self.last_checker_failed = True
-            self.using_timer(True)
+            self._update_timer_callback_tag = (gobject.timeout_add
+                                               (1000,
+                                                self.update_timer))
         if os.WIFEXITED(condition):
             self.logger(u'Checker for client %s (command "%s")'
                         u' failed with exit code %s'
@@ -248,7 +202,6 @@
             message = u'Client %s will get its secret in %s seconds'
         self.logger(message
                     % (self.properties[u"Name"], timeout/1000))
-        self.using_timer(True)
     
     def rejected(self, reason):
         self.logger(u'Client %s was rejected; reason: %s'
@@ -289,21 +242,10 @@
         if not self.properties[u"Enabled"]:
             message = u"DISABLED"
         elif self.properties[u"ApprovalPending"]:
-            timeout = datetime.timedelta(milliseconds
-                                         = self.properties
-                                         [u"ApprovalDelay"])
-            last_approval_request = isoformat_to_datetime(
-                self.properties[u"LastApprovalRequest"])
-            if last_approval_request is not None:
-                timer = timeout - (datetime.datetime.utcnow()
-                                   - last_approval_request)
-            else:
-                timer = datetime.timedelta()
             if self.properties[u"ApprovedByDefault"]:
-                message = u"Approval in %s. (d)eny?"
+                message = u"Connection established to client. (d)eny?"
             else:
-                message = u"Denial in %s. (a)pprove?"
-            message = message % unicode(timer).rsplit(".", 1)[0]
+                message = u"Seeks approval to send secret. (a)pprove?"
         elif self.last_checker_failed:
             timeout = datetime.timedelta(milliseconds
                                          = self.properties
@@ -367,7 +309,7 @@
         elif key == u"d":
             self.proxy.Approve(dbus.Boolean(False, variant_level=1),
                                   dbus_interface = client_interface)
-        elif key == u"R" or key == u"_" or key == u"ctrl k":
+        elif key == u"r" or key == u"_" or key == u"ctrl k":
             self.server_proxy_object.RemoveClient(self.proxy
                                                   .object_path)
         elif key == u"s":
@@ -686,7 +628,7 @@
                                       .join((u"Clients:",
                                              u"+: Enable",
                                              u"-: Disable",
-                                             u"R: Remove",
+                                             u"r: Remove",
                                              u"s: Start new checker",
                                              u"S: Stop checker",
                                              u"C: Checker OK",

=== modified file 'mandos-monitor.xml'
--- mandos-monitor.xml	2010-09-30 06:24:20 +0000
+++ mandos-monitor.xml	2010-09-14 18:22:03 +0000
@@ -167,7 +167,7 @@
 	<entry>Deny client</entry>
       </row>
       <row>
-	<entry>R, _, Ctrl-K</entry>
+	<entry>r, _, Ctrl-K</entry>
 	<entry>Remove client</entry>
       </row>
       <row>

=== modified file 'mandos.lsm'
--- mandos.lsm	2010-10-02 17:23:41 +0000
+++ mandos.lsm	2010-09-14 18:22:03 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.2.1
-Entered-date:	2010-10-02
+Version:	1.0.14
+Entered-date:	2010-09-14
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,9 +12,9 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      130K mandos_1.2.1.orig.tar.gz
+	      103K mandos_1.0.14.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		130K mandos_1.2.1.orig.tar.gz
+		103K mandos_1.0.14.orig.tar.gz
 Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.5, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.

=== modified file 'mandos.xml'
--- mandos.xml	2010-09-27 17:39:03 +0000
+++ mandos.xml	2010-09-25 21:24:49 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2010-09-26">
+<!ENTITY TIMESTAMP "2010-09-25">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -33,7 +33,6 @@
     <copyright>
       <year>2008</year>
       <year>2009</year>
-      <year>2010</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>
@@ -87,9 +86,6 @@
       <sbr/>
       <arg><option>--debug</option></arg>
       <sbr/>
-      <arg><option>--debuglevel
-      <replaceable>LEVEL</replaceable></option></arg>
-      <sbr/>
       <arg><option>--no-dbus</option></arg>
       <sbr/>
       <arg><option>--no-ipv6</option></arg>
@@ -198,24 +194,6 @@
       </varlistentry>
       
       <varlistentry>
-	<term><option>--debuglevel
-	<replaceable>LEVEL</replaceable></option></term>
-	<listitem>
-	  <para>
-	    Set the debugging log level.
-	    <replaceable>LEVEL</replaceable> is a string, one of
-	    <quote><literal>CRITICAL</literal></quote>,
-	    <quote><literal>ERROR</literal></quote>,
-	    <quote><literal>WARNING</literal></quote>,
-	    <quote><literal>INFO</literal></quote>, or
-	    <quote><literal>DEBUG</literal></quote>, in order of
-	    increasing verbosity.  The default level is
-	    <quote><literal>WARNING</literal></quote>.
-	  </para>
-	</listitem>
-      </varlistentry>
-      
-      <varlistentry>
 	<term><option>--priority <replaceable>
 	PRIORITY</replaceable></option></term>
 	<listitem>

=== modified file 'plugin-runner.c'
--- plugin-runner.c	2010-09-26 21:27:28 +0000
+++ plugin-runner.c	2010-09-09 22:06:10 +0000
@@ -2,8 +2,8 @@
 /*
  * Mandos plugin runner - Run Mandos plugins
  *
- * Copyright © 2008-2010 Teddy Hogeborn
- * Copyright © 2008-2010 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/askpass-fifo.c'
--- plugins.d/askpass-fifo.c	2010-09-26 18:32:58 +0000
+++ plugins.d/askpass-fifo.c	2010-09-07 16:48:58 +0000
@@ -2,8 +2,8 @@
 /*
  * Askpass-FIFO - Read a password from a FIFO and output it
  * 
- * Copyright © 2008-2010 Teddy Hogeborn
- * Copyright © 2008-2010 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2010-09-26 21:27:28 +0000
+++ plugins.d/mandos-client.c	2010-09-12 18:12:11 +0000
@@ -9,8 +9,8 @@
  * "browse_callback", and parts of "main".
  * 
  * Everything else is
- * Copyright © 2008-2010 Teddy Hogeborn
- * Copyright © 2008-2010 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/mandos-client.xml'
--- plugins.d/mandos-client.xml	2010-09-26 18:32:58 +0000
+++ plugins.d/mandos-client.xml	2010-08-10 19:08:24 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos-client">
-<!ENTITY TIMESTAMP "2010-09-26">
+<!ENTITY TIMESTAMP "2009-02-09">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>

=== modified file 'plugins.d/password-prompt.c'
--- plugins.d/password-prompt.c	2010-09-26 18:32:58 +0000
+++ plugins.d/password-prompt.c	2010-09-07 16:48:58 +0000
@@ -2,8 +2,8 @@
 /*
  * Password-prompt - Read a password from the terminal and print it
  * 
- * Copyright © 2008-2010 Teddy Hogeborn
- * Copyright © 2008-2010 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/plymouth.c'
--- plugins.d/plymouth.c	2010-09-26 18:32:58 +0000
+++ plugins.d/plymouth.c	2010-09-24 18:33:39 +0000
@@ -1,27 +1,3 @@
-/*  -*- coding: utf-8 -*- */
-/*
- * Usplash - Read a password from usplash and output it
- * 
- * Copyright © 2010 Teddy Hogeborn
- * Copyright © 2010 Björn Påhlsson
- * 
- * This program is free software: you can redistribute it and/or
- * modify it under the terms of the GNU General Public License as
- * published by the Free Software Foundation, either version 3 of the
- * License, or (at your option) any later version.
- * 
- * This program is distributed in the hope that it will be useful, but
- * WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
- * General Public License for more details.
- * 
- * You should have received a copy of the GNU General Public License
- * along with this program.  If not, see
- * <http://www.gnu.org/licenses/>.
- * 
- * Contact the authors at <mandos@fukt.bsnet.se>.
- */
-
 #define _GNU_SOURCE		/* asprintf(), TEMP_FAILURE_RETRY() */
 #include <signal.h>		/* sig_atomic_t, struct sigaction,
 				   sigemptyset(), sigaddset(), SIGINT,

=== modified file 'plugins.d/plymouth.xml'
--- plugins.d/plymouth.xml	2010-09-26 18:32:58 +0000
+++ plugins.d/plymouth.xml	2010-09-23 20:14:08 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "plymouth">
-<!ENTITY TIMESTAMP "2010-09-26">
+<!ENTITY TIMESTAMP "2010-09-23">
 <!ENTITY % common SYSTEM "../common.ent">
 %common;
 ]>
@@ -31,7 +31,8 @@
       </author>
     </authorgroup>
     <copyright>
-      <year>2010</year>
+      <year>2008</year>
+      <year>2009</year>
       <holder>Teddy Hogeborn</holder>
       <holder>Björn Påhlsson</holder>
     </copyright>

=== modified file 'plugins.d/splashy.c'
--- plugins.d/splashy.c	2010-09-26 18:32:58 +0000
+++ plugins.d/splashy.c	2010-09-07 16:48:58 +0000
@@ -2,8 +2,8 @@
 /*
  * Splashy - Read a password from splashy and output it
  * 
- * Copyright © 2008-2010 Teddy Hogeborn
- * Copyright © 2008-2010 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

=== modified file 'plugins.d/usplash.c'
--- plugins.d/usplash.c	2010-09-26 18:32:58 +0000
+++ plugins.d/usplash.c	2010-09-15 17:21:04 +0000
@@ -2,8 +2,8 @@
 /*
  * Usplash - Read a password from usplash and output it
  * 
- * Copyright © 2008-2010 Teddy Hogeborn
- * Copyright © 2008-2010 Björn Påhlsson
+ * Copyright © 2008,2009 Teddy Hogeborn
+ * Copyright © 2008,2009 Björn Påhlsson
  * 
  * This program is free software: you can redistribute it and/or
  * modify it under the terms of the GNU General Public License as

